ru.bitel.bgbilling.kernel.network.datalog

## Class IPDataLogUtils

- java.lang.Object
- - ru.bitel.bgbilling.kernel.network.datalog.IPDataLogUtils

-     public class IPDataLogUtils
      extends java.lang.Object

  util для работы с ip логами

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IPDataLogUtils.FlowDetail` Класс FlowDetail.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IPDataLogUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `static java.lang.Iterable<FlowArray<? extends Data>>` | `newFlowArrayIterable(ParameterMap setup, int sourceId, java.util.Calendar hour)`
    `static java.lang.Iterable<FlowArray<? extends Data>>` | `newFlowArrayIterable(ParameterMap setup, int sourceId, java.util.Calendar hour1, java.util.Calendar hour2)`
    `static java.lang.Iterable<FlowArray<IPDataLogUtils.FlowDetail>>` | `newFlowDetailIterable(java.lang.Iterable<ru.bitel.bgbilling.kernel.network.datalog.hourly.IPHourlyDataLog> logsIterable, FlowSelector selector, int maxSort)` Создает новый `IPDataLogUtils.FlowDetail` Iterable по логам, с выборкой записей с помощью `RowSelector`
    `static java.lang.Iterable<ru.bitel.bgbilling.kernel.network.datalog.FlowReader>` | `newFlowReaderIterable(ParameterMap setup, int sourceId, java.util.Calendar hour1, java.util.Calendar hour2)`
    `static java.lang.Iterable<ru.bitel.bgbilling.kernel.network.datalog.hourly.IPHourlyDataLog>` | `newIPHourlyDataLogIterable(ParameterMap setup, int sourceId, java.util.Calendar hour1, java.util.Calendar hour2)` Создает новый iterable по часовым логам
    `static java.lang.Iterable<ru.bitel.bgbilling.kernel.network.datalog.hourly.IPHourlyDataLog>` | `newIPHourlyDataLogIterable(ParameterMap setup, java.lang.String key, int sourceId, java.util.List<java.util.Calendar> hours)` Создает новый iterable по часовым логам

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IPDataLogUtils

          public IPDataLogUtils()

  - ### Method Detail

    - #### newIPHourlyDataLogIterable

          public static java.lang.Iterable<ru.bitel.bgbilling.kernel.network.datalog.hourly.IPHourlyDataLog> newIPHourlyDataLogIterable(ParameterMap setup,
                                                                                                                                        int sourceId,
                                                                                                                                        java.util.Calendar hour1,
                                                                                                                                        java.util.Calendar hour2)

      Создает новый iterable по часовым логам
      Parameters:
        `setup` -
        `sourceId` -
        `hour1` - начало периода (включая)
        `hour2` - конец периода (включая)
      Returns:
        новый iterable по часовым логам

    - #### newIPHourlyDataLogIterable

          public static java.lang.Iterable<ru.bitel.bgbilling.kernel.network.datalog.hourly.IPHourlyDataLog> newIPHourlyDataLogIterable(ParameterMap setup,
                                                                                                                                        java.lang.String key,
                                                                                                                                        int sourceId,
                                                                                                                                        java.util.List<java.util.Calendar> hours)

      Создает новый iterable по часовым логам
      Parameters:
        `setup` -
        `sourceId` -
        `hours` - List часов, по которым будет идти iterator
      Returns:
        новый iterable по часовым логам

    - #### newFlowDetailIterable

          public static java.lang.Iterable<FlowArray<IPDataLogUtils.FlowDetail>> newFlowDetailIterable(java.lang.Iterable<ru.bitel.bgbilling.kernel.network.datalog.hourly.IPHourlyDataLog> logsIterable,
                                                                                                       FlowSelector selector,
                                                                                                       int maxSort)

      Создает новый `IPDataLogUtils.FlowDetail` Iterable по логам, с выборкой записей с помощью `RowSelector`
      Parameters:
        `logsIterable` -
        `selector` -
      Returns:

    - #### newFlowReaderIterable

          public static java.lang.Iterable<ru.bitel.bgbilling.kernel.network.datalog.FlowReader> newFlowReaderIterable(ParameterMap setup,
                                                                                                                       int sourceId,
                                                                                                                       java.util.Calendar hour1,
                                                                                                                       java.util.Calendar hour2)

    - #### newFlowArrayIterable

          public static java.lang.Iterable<FlowArray<? extends Data>> newFlowArrayIterable(ParameterMap setup,
                                                                                           int sourceId,
                                                                                           java.util.Calendar hour1,
                                                                                           java.util.Calendar hour2)

    - #### newFlowArrayIterable

          public static java.lang.Iterable<FlowArray<? extends Data>> newFlowArrayIterable(ParameterMap setup,
                                                                                           int sourceId,
                                                                                           java.util.Calendar hour)

    - #### main

          public static void main(java.lang.String[] args)